CodeVault: Sparse Linear Algebra
================
# Overview
In this Sparse Linear Algebra folder, there are sample codes for beginners, as well as advanced codes including important computational kernels.

# Contributors & Maintainers
- Cevdet Aykanat (aykanat@cs.bilkent.edu.tr) 
- Kadir Akbudak (kadir.cs@gmail.com) 
- Reha Oguz Selvitopi(reha@cs.bilkent.edu.tr) 

# Contents
- spgemm: Multiplication of two sparse matrices.
  - mkl_shmem: Using MKL's routine mkl_dcsrmultcsr() on a multicore processor
  - mkl_xphi: Using MKL's routine mkl_dcsrmultcsr() via offloading to a Xeon Phi coprocessor
- Krylov Subspace Methods 
  - Linear system  solution  in parallel 
    - 2D Laplacian (2D mesh) 
  - Repeatedly  solving  two linear systems 
    - Same preconditioner 
    - Two different matrices with the same nonzero pattern 
  - Solving  multiple  linear systems 
    - Same cofficient matrix 
    - Different right-hand-side vectors 
